## NMVpnConnection NMVpnConnection |

## Functions

NMVpnConnectionState | nm_vpn_connection_get_vpn_state ()
const char * | nm_vpn_connection_get_banner ()

## Properties

gchar * | banner | Read
NMVpnConnectionState | vpn-state | Read

## Signals

void | vpn-state-changed | Run First

## Types and Values

#define | NM_VPN_CONNECTION_VPN_STATE
#define | NM_VPN_CONNECTION_BANNER
| NMVpnConnection

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMActiveConnection
                ╰── NMVpnConnection

## Implemented Interfaces

NMVpnConnection implements GInitable and GAsyncInitable.

## Description

## Functions

### nm_vpn_connection_get_vpn_state ()

    NMVpnConnectionState
    nm_vpn_connection_get_vpn_state (NMVpnConnection *vpn);

Gets the current NMVpnConnection state.

#### Parameters

vpn | a NMVpnConnection |

#### Returns

the VPN state of the active VPN connection.

### nm_vpn_connection_get_banner ()

    const char *
    nm_vpn_connection_get_banner (NMVpnConnection *vpn);

Gets the VPN login banner of the active NMVpnConnection.

#### Parameters

vpn | a NMVpnConnection |

#### Returns

the VPN login banner of the VPN connection. This is the internal string used by the connection, and must not be modified.

## Types and Values

### NM_VPN_CONNECTION_VPN_STATE

    #define NM_VPN_CONNECTION_VPN_STATE "vpn-state"

### NM_VPN_CONNECTION_BANNER

    #define NM_VPN_CONNECTION_BANNER "banner"

### NMVpnConnection

    typedef struct _NMVpnConnection NMVpnConnection;

## Property Details

### The `“banner”` property

      “banner”                   gchar *

The VPN login banner of the active VPN connection.

Flags: Read

Default value: NULL

### The `“vpn-state”` property

      “vpn-state”                NMVpnConnectionState

The VPN state of the active VPN connection.

Flags: Read

Default value: NM_VPN_CONNECTION_STATE_UNKNOWN

## Signal Details

### The `“vpn-state-changed”` signal

    void
    user_function (NMVpnConnection *nmvpnconnection,
                   guint            arg1,
                   guint            arg2,
                   gpointer         user_data)

Flags: Run First